<?php
include 'inc/head.php';
$sys->head('Настройки SiteGuard');

$text='$ini->write("guard","state","1")
$ini->write("guard","write_hackers","1")
$ini->write("guard","write_hacks","1")
$ini->write("guard","ban_hackers","1")
$ini->write("guard","ban_hackers_ip","1")
$ini->write("guard","ban_time","1")
$ini->write("antispam","state","1")
$ini->write("antispam","type","1")
$ini->write("antispam","write_spamers","1")
$ini->write("antispam","write_spam","1")
$ini->write("antispam","ban_spamers","1")
$ini->write("antispam","ban_time","1")
$ini->write("server","overload_state","1")
$ini->write("server","overload_time","1")
$ini->write("server","emergency_time","1")
$ini->write("statistic","state","1")
$ini->write("statistic","clear","1")
$ini->write("statistic","clear_action","1")
$ini->write("statistic","clear_interval","1")';

$res=preg_replace('/\$ini->write\(\"(.+)\",\"(.+)\",\".+\"\)/i','\$ini->write(\'$1\',\'$2\',\$sys->verify(\'$1_$2\',\'1\'));<br />',$text); //для ини запросов

echo $res;

include 'inc/foot.php';
?>